# Uses of Interface
com.destroystokyo.paper.entity.ai.Goal

Packages that use Goal
Package
Description
com.destroystokyo.paper.entity.ai

## Uses of Goal in com.destroystokyo.paper.entity.ai

Subinterfaces of Goal in com.destroystokyo.paper.entity.ai
Modifier and Type
Interface
Description
`interface`
`VanillaGoal<T extends Mob>`
Represents a vanilla goal.
Methods in com.destroystokyo.paper.entity.ai that return Goal
Modifier and Type
Method
Description
`<T extends Mob>
@Nullable Goal<T>`
MobGoals.`getGoal(T mob, @NotNull GoalKey<T> key)`
Methods in com.destroystokyo.paper.entity.ai that return types with arguments of type Goal
Modifier and Type
Method
Description
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getAllGoals(T mob)`
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getAllGoals(T mob, @NotNull GoalType type)`
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getAllGoalsWithout(T mob, @NotNull GoalType type)`
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getGoals(T mob, @NotNull GoalKey<T> key)`
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getRunningGoals(T mob)`
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getRunningGoals(T mob, @NotNull GoalType type)`
`<T extends Mob>
@NotNull Collection<Goal<T>>`
MobGoals.`getRunningGoalsWithout(T mob, @NotNull GoalType type)`
Methods in com.destroystokyo.paper.entity.ai with parameters of type Goal
Modifier and Type
Method
Description
`<T extends Mob>
void`
MobGoals.`addGoal(T mob, int priority, @NotNull Goal<T> goal)`
`<T extends Mob>
void`
MobGoals.`removeGoal(T mob, @NotNull Goal<T> goal)`